#pragma once
#include "SDK_Manila_Sense.h"//we need SDK_Manila_Sense.h
#include <Pm.h>
#include <Pmpolicy.h>

#include "textfile.h"//thanks to Paul Sanders : http://www.codeproject.com/KB/files/EZUTF.aspx

//////////////////////////////////////////////////////////////////////////
// Class ExempleProject
// It's our application ! Two methods have to be implemented :
// initApplication() : where we add some stuff to our windows
// messageTreatment(Element* src) : where we do some treatments in response to event (click...)
//////////////////////////////////////////////////////////////////////////

class QuickShutdown :
	public EventHandler
{
protected:
	//function to init application (add item to our window, init var, etc.)
	void initApplication();
	//function which is called when event appends
	void messageTreatment(Element* src,int idEvent,void* lParam=NULL);

	//functions used by initApplication...
	void loadStrings();
	bool loadInfo(wstring fileTest,bool passVerif=false);
public:
	QuickShutdown(HINSTANCE hInstance);
	~QuickShutdown(void);
	void extractParams(wstring &lnkTarget,wstring &parameters);
	wstring localShutdown;
	wstring localReset;
	wstring localSleep;
	wstring localCancel;
	wstring langBoot;
	wstring langTurnOff;
	wstring langChoose;
	wstring langSave;
	wstring langProg;
};